You're not paranoid if they really are listening. A new Android app can detect surveillance attempts on your smartphone, including IMSI catchers (also called "stingrays"), hidden text messages and attacks exploiting the telephone-signal protocol known as Signaling System 7 (SS7).

Called SnoopSnitch, the app launched for free on the Google Play store Dec. 29. It can't protect your phone from snooping, but it can tell you that the snooping is happening.

MORE: The Five Worst Security Fails of 2014

IMSI catchers disguise themselves as legitimate cell towers, tricking GSM mobile phones into connecting to them and forwarding outgoing calls to the legitimate phone network. IMSI catchers can eavesdrop on calls and texts, extract personal data from connected phones and track phones' physical locations.

Law-enforcement agencies, such as the FBI, use stingrays in investigations, and a recent informal survey revealed more than a dozen IMSI catchers spread across the United States. The devices are so frequently used that the StingRay brand name used by a top manufacturer of IMSI catchers already applies generically.

Enter SnoopSnitch. The app was developed by German mobile-phone security researchers Karsten Nohl, Tobias Engel and Alex Senier, all of Berlin-based security company SRLabs, and was introduced in their presentation at the Chaos Computer Congress security conference in Hamburg Dec. 27.

SnoopSnitch can tell when a mobile device is switching from a legitimate cell tower to IMSI catcher, the researchers explained in their talk entitled "Mobile Self-Defense (SnoopSnitch)." Nohl also described SnoopSnitch as a "catcher catcher" in an interview with tech news site Motherboard.

Though it is free on the Google Play Store, not all Android devices will work with SnoopSnitch, as the app requires a Qualcomm chipset such a Snapdragon system-on-a-chip. A list of tested SnoopSnitch compatible devices is on the SRLabs website.

Many Sony and Samsung smartphones have Qualcomm chipsets, including the Samsung Galaxy S5, although SRLabs hasn't tested most of them for compatibility. Compatible devices also need to be rooted, run stock Android 4.1 or later rather than manufacturer or carrier builds, and, naturally, use the GSM carrier protocol (AT&T and T-Mobile) instead of CDMA (Sprint and Verizon Wireless).